Name:           dia
Version:        0.97.3
Release:    1%{?dist}
Summary:        Diagram drawing program
License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Dia
Source0:        https://download.gnome.org/sources/dia/0.97/%{name}-%{version}.tar.xz
Patch0:         dia-0.9.3-cve-2019-19451.patch
Patch1:         dia-configure-c99.patch

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libart-2.0)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  freetype-devel
BuildRequires:  intltool
BuildRequires:  docbook-utils
BuildRequires:  docbook-style-dsssl
BuildRequires:  docbook-style-xsl
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
The Dia drawing program can be used to draw different types of diagrams,
and includes support for UML static structure diagrams (class diagrams),
entity relationship modeling, and network diagrams.  Dia can load and
save diagrams to a custom XML format and export diagrams to formats like
EPS, SVG, XFIG, PDF, PNG and others.


%prep
%setup -q
%patch0 -p1 -b .cve-2019-19451
%patch1 -p1 -b .configure-c99

sed -i 's|libdia_la_LDFLAGS = -avoid-version|libdia_la_LDFLAGS = -avoid-version $(shell pkg-config --libs gtk+-2.0 libxml-2.0 libart-2.0)|' \
  lib/Makefile.*
chmod -x `find objects/AADL -type f`
iconv -f WINDOWS-1252 -t UTF8 doc/en/usage-layers.xml > usage-layers.xml.UTF-8
mv usage-layers.xml.UTF-8 doc/en/usage-layers.xml

sed -i 's|Exec=dia|Exec=dia --integrated|' dia.desktop.in.in

%build
%configure --enable-db2html --disable-silent-rules
%make_build


%install
%make_install
%find_lang %{name} --with-man

desktop-file-install --delete-original \
  --dir %{buildroot}%{_datadir}/applications         \
  --remove-category Application                         \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -rf %{buildroot}%{_libdir}/%{name}/*.la
rm -rf %{buildroot}%{_datadir}/doc
rm -f samples/Makefile*

mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
BugReportURL: https://bugzilla.gnome.org/show_bug.cgi?id=710955
SentUpstream: 2013-10-27
-->
<application>
  <id type="desktop">dia.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Dia is a GTK+ based diagram creation program</summary>
  <description>
    <p>
      Dia is roughly inspired by the commercial Windows program 'Visio,' though
      more geared towards informal diagrams for casual use.
      It can be used to draw many different kinds of diagrams.
      It currently has special objects to help draw entity relationship diagrams,
      UML diagrams, flowcharts, network diagrams, and many other diagrams.
      It is also possible to add support for new shapes by writing simple XML files,
      using a subset of SVG to draw the shape.
    </p>
    <p>
      It can load and save diagrams to a custom XML format (gzipped by default,
      to save space), can export diagrams to a number of formats, including EPS,
      SVG, XFIG, WMF and PNG, and can print diagrams (including ones that span
      multiple pages).
    </p>
  </description>
  <url type="homepage">https://wiki.gnome.org/Apps/Dia</url>
  <screenshots>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/dia/a.png</screenshot>
  </screenshots>
  <updatecontact>dia-list@gnome.org</updatecontact>
</application>
EOF

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog KNOWN_BUGS NEWS README THANKS
%doc doc/custom-shapes doc/diagram.dtd doc/shape.dtd doc/sheet.dtd samples/
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime-info/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.97.3-1
- initial build
